Bug 1128446 - Comment is missing from snapshots, import/export and edit running vm
Summary: Comment is missing from snapshots, import/export and edit running vm
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 3.5.0
Assignee: Omer Frenkel
QA Contact: Ilanit Stein
URL:
Whiteboard: virt
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-10 13:58 UTC by Ilanit Stein
Modified: 2016-02-10 19:49 UTC (History)
8 users (show)

Fixed In Version: ovirt-3.5.0_rc1.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:33:28 UTC
oVirt Team: Virt


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31666 master MERGED core: add 'Comment' field to OVF Never
oVirt gerrit 31692 ovirt-engine-3.5 MERGED core: add 'Comment' field to OVF Never

Description Ilanit Stein 2014-08-10 13:58:09 UTC
Description of problem:
When combining next boot, and current changes, such as memory & comment - the current change not be applied, such as comment.

Version-Release number of selected component (if applicable):
ovirt-engine 3.5-rc1

How reproducible:
100%

Comment 1 Michal Skrivanek 2014-08-15 12:57:08 UTC
I'd say it's intentional, you set all values immediately or deferred on next run

Comment 2 Ilanit Stein 2014-08-19 12:52:23 UTC
For update a running VM with a param for next boot (like memory) + param that can be updated now (like comment),

I'd expect the comment to be updated, while VM is still running,
and the memory to be updated after VM next run.

Current behaviour is that the comment update is simply ignored:
it is not updated at current VM run, and not on next VM run.

Comment 3 Michal Skrivanek 2014-08-19 13:09:56 UTC
(In reply to Ilanit Stein from comment #2)
> Current behaviour is that the comment update is simply ignored:
> it is not updated at current VM run, and not on next VM run.

ah, so that's certainly wrong. thanks.

Comment 4 Omer Frenkel 2014-08-19 14:45:59 UTC
problem is that comment is missing from ovf infrastructure, so its missing from snpashots, export/import and now update of running vm.

if you try the same scenario with memory and description, you will see it works as you expect, and as it should.

Comment 5 Ilanit Stein 2014-09-02 12:33:42 UTC
Verified on oVirt Engine Version: 3.5.0-0.0.master.20140821064931.gitb794d66.el6
update running vm with comment + memory => now updates comment immediately,
and comment is saved after vm boot.

Comment 6 Sandro Bonazzola 2014-10-17 12:33:28 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.